﻿<div class="modal fade" data-backdrop="static" data-keyboard="false" id="CheckOutModal" tabindex="-1" role="dialog" aria-labelledby="CheckOutModal" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" class="btn btn-danger btn-xs pull-right" onclick="function close(){window.location.reload(true)};close()"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b >@Resources.Content.CheckOut</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-4">
                        <input id="checkoutid" name="checkoutid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <input id="chinid" name="chinid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <input id="rmid" name="rmid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <input id="gid" name="gid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />

                        <input id="exrate" name="exrate" type="text" style="display: none;" value="" class="form-control" />
                        <input id="wprice" name="wprice" type="text" style="display: none;" value="" class="form-control" />
                        <input id="pprice" name="pprice" type="text" style="display: none;" value="" class="form-control" />
                        <input id="lblExchangeRate" name="lblExchangeRate" type="text" style="display: none;" value="" class="form-control" />

                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="startdatechout">@Resources.Content.StartDate</label>
                                    <input id="startdatechout" readonly="readonly" name="startdatechout" type="date" value="" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="enddatechout">@Resources.Content.EndDate</label>
                                    <input id="enddatechout" readonly="readonly" name="enddatechout" type="date" value="@DateTime.Now.ToString("yyyy'-'MM'-'dd")" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="rmprice">@Resources.Content.RoomPrice</label>
                                    <input id="rmprice" readonly="readonly" name="rmprice" placeholder="Enter Address" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="totalroomprice">@Resources.Content.TotalRoomPrice</label>
                                    <input id="totalroomprice" name="totalroomprice" placeholder="Enter Address" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                            </div>
                        </div>
                       
                        <div class="form-group">
                            <label for="svprice">@Resources.Content.ServiceCharge</label>
                            <input id="svprice" readonly="readonly" name="svprice" placeholder="Enter Phone" type="text" value="0" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        
                        
                    </div>
                    <div class="col-md-4">
                        <div class="row">
                            <input id="waterid" name="waterid" type="text" style="display: none;" value="" class="form-control" />
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="wstart">@Resources.Content.WaterStartRecord</label>
                                    <input id="wstart" readonly="readonly" name="wstart" placeholder="Enter Phone" type="text" value="0" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="wendrecords">@Resources.Content.WEndRecord</label>
                                    <input id="wendrecords" onfocus="this.select();" onchange="RecordWaterChange();" name="wendrecords" placeholder="" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <input id="powerid" name="powerid" type="text" style="display: none;" value="" class="form-control" />
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="estart">@Resources.Content.ElectricStartRecord</label>
                                    <input id="estart" readonly="readonly" name="estart" placeholder="Enter Phone" type="text" value="0" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="eendrecords">@Resources.Content.EEndRecord</label>
                                    <input id="eendrecords" onfocus="this.select();" onchange="RecordElectricChange()" name="eendrecords" placeholder="Enter Phone" type="number" value="0" class="form-control input-sm" style="min-width: 100%" />
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="paybefor">@Resources.Content.PrePaid</label>
                            <input id="paybefor" name="paybefor" readonly="readonly" placeholder="0" value="0" type="number" class="form-control input-sm">
                        </div>
                        

                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="wtotal">@Resources.Content.TotalWater</label>
                            <input id="wtotal" readonly="readonly" name="wtotal" placeholder="Enter Phone" type="text" value="0" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label for="etotal">@Resources.Content.TotalElectric</label>
                            <input id="etotal" readonly="readonly" name="etotal" placeholder="Enter Phone" type="text" value="0" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="grandtotal">@Resources.Content.Total</label>
                            <input id="grandtotal" name="grandtotal" readonly="readonly" placeholder="0.00" value="0" type="number" class="form-control input-sm">
                        </div>                       
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label class="control-label" for="returnamount">@Resources.Content.ReturnAmount</label>
                            <input id="returnamount" name="returnamount" readonly="readonly" placeholder="0.00" value="0" type="number" class="form-control input-sm">
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label class="control-label" for="totalpayment">@Resources.Content.TotalPayment</label>
                            <input id="totalpayment" name="totalpayment" readonly="readonly" placeholder="0.00" value="0" type="number" class="form-control input-sm">
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label class="control-label" for="paydollars">@Resources.Content.PayDollar</label>
                            <input id="paydollars" onfocus="this.select();" name="paydollars" placeholder="0.00" value="0" type="number" class="form-control input-sm">
                        </div> 
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label class="control-label" for="payriels">@Resources.Content.PayRiel</label>
                            <input id="payriels" onfocus="this.select();" name="payriels" placeholder="0.00" value="0" type="number" class="form-control input-sm">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label class="control-label" for="description">@Resources.Content.Note</label>
                            <input id="description" name="description" placeholder="Description" value="" type="text" class="form-control input-sm">
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" id="btnClose" onclick="function close(){window.location.reload(true)};close()" class="btn btn-danger btn-sm pull-right" style="margin-left:10px;width:100px"><span class="glyphicon glyphicon-remove"></span> @Resources.Content.Close</button>
                <button type="button" id="btnSaveCheckOut" onclick="CheckOutAction()" class="btn btn-info btn-sm pull-right" style="margin-left:10px;width:100px"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>

            </div>
        </div>
    </div>
</div>

<script>
    function CheckOutAction() {
        CreatetWaterElectricUsage();
    }
    //Insert WE
    function CreatetWaterElectricUsage() {
        var data = new FormData();
        data.append("guestid", $("#gid").val());
        data.append("startdate", $('#startdatechout').val());
        data.append("enddate", $('#enddatechout').val());
        data.append("wstartrecord", $('#wstart').val());
        data.append("wendrecord", $('#wendrecords').val());
        data.append("estartrecord", $('#estart').val());
        data.append("eendrecord", $('#eendrecords').val());
        $.ajax({
            url: "/api/waterelectricusages",
            type: "POST",
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                InsertCheckOut(result);
            },
            error: function (errormesage) {
                toastr.error("Electric usage insert faild!", "Server Respond");
                return false;
            }
        });
    }
    function InsertCheckOut(id) {
        var data = {
            guestid: $('#gid').val(),
            roomid: $('#rmid').val(),            
            weusageid: id,
            totalroomprice: $('#totalroomprice').val(),
            total: $('#grandtotal').val(),
            paybefor: $('#paybefor').val(),
            returnamount: $('#returnamount').val(),
            totalpayment: $('#totalpayment').val(),
            paydollar: $('#paydollars').val(),
            payriel: $('#payriels').val(),
            description: $('#description').val(),
        };
        $.ajax({
            url: "/api/checkouts",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("Check out successfully.", "Server Response");
                UpdateStatusGuest();
                UpdateRoomStatusCheckOut(result);
                window.location = "/check-out-report/" + result;
            },
            error: function (errormesage) {
                toastr.error("This checkout is exist in Database", "Server Respond");
                return false;
            }

        });
    }
    function UpdateRoomStatusCheckOut() {
        $.ajax({
            type: "PUT",
            url: "/api/updateroomstatus/" + $("#rmid").val() + "/FREE",
            contentType: false,
            processData: false,
            // data: status,
            success: function (result) {
                //
            },
            error: function (error) {
                toastr.error("Unblock room fail!", "Server Response");
            }
        });
    }
    function UpdateStatusGuest() {
        $.ajax({
            type: "PUT",
            url: "/api/updategueststatus/" + $("#gid").val() + "/CheckOut",
            contentType: false,
            processData: false,
            // data: status,
            success: function (result) {
            },
            error: function (error) {
                toastr.error("Update room status fail!", "Server Response");
            }
        });
    }
    function RecordWaterChange() {
        var wendrecords = document.getElementById('wendrecords').value;
        var wstartrecords = document.getElementById('wstart').value;
        var wtotal = ((parseFloat(wendrecords) - parseFloat(wstartrecords)) * parseFloat($('#wprice').val())) / parseFloat($('#exrate').val());
        if (wtotal <= 0) {
            alert('Faild!');
            $('#wendrecords').focus();
        } else {
            $('#wtotal').val(wtotal.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
            TotalPayment();
        }
    }
    function RecordElectricChange() {
        var eendrecords = document.getElementById('eendrecords').value;
        var estartrecords = document.getElementById('estart').value;
        var etotal = ((parseFloat(eendrecords) - parseFloat(estartrecords)) * parseFloat($('#pprice').val())) / parseFloat($('#exrate').val());
        if (etotal <= 0) {
            alert('Faild!');
            $('#eendrecords').focus();
        } else {
            $('#etotal').val(etotal.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
            TotalPayment();
        }
    }
    function TotalPayment() {

        var watertotal = document.getElementById('wtotal').value;
        var eletrictotal = document.getElementById('etotal').value;
        var roomprice = document.getElementById('rmprice').value;
        var totalroomprice = document.getElementById('totalroomprice').value;
        var servicecharge = document.getElementById('svprice').value;
        var totalpaybefor = document.getElementById('paybefor').value;

        var grandtotal = parseFloat(watertotal) + parseFloat(eletrictotal) + parseFloat(totalroomprice) + parseFloat(servicecharge);
        $('#grandtotal').val(grandtotal.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
        $('#grandtotalkh').val((grandtotal * parseFloat($('#exrate').val())).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));

        var totalreturn = grandtotal - parseFloat(totalpaybefor);
        if (totalreturn >= 0) {
            $('#totalpayment').val(totalreturn.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
            $('#totalpayment').addClass('');
            $('#returnamount').val(0);

            $('#paydollars').val(totalreturn.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
        } else {
            $('#returnamount').val((totalreturn * -1).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
            $('#totalpayment').val(0);

            $('#paydollars').val((totalreturn * -1).toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
        }
    }
    function ChangPayDollar() {
        var exrate = document.getElementById('exrate').value;
        var paydollars = parseFloat($('#paydollars').val());
        var totalpayment = parseFloat($('#totalpayment').val());
        var returnamount = parseFloat($('#returnamount').val());
        if (totalpayment > 0) {
            var result = (totalpayment - paydollars) * exrate;
            $('#payriels').val(result.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
        } else {
            var result = (returnamount - paydollars) * exrate;
            $('#payriels').val(result.toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,'));
        }
    }
</script>